<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1148
Name: Defiblirations Number
Description: Defiblirations Number: Defibrillaties aantal
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042">
   <title>Defiblirations Number</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1148
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]]
Item: (DefiblirationsNumber)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]]"
         id="d41e5563-false-d7926e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]) &lt;= 1">(DefiblirationsNumber): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1148
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]
Item: (DefiblirationsNumber)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]"
         id="d41e5587-false-d7941e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(DefiblirationsNumber): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042.html"
              test="string(@moodCode) = ('EVN')">(DefiblirationsNumber): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']) &gt;= 1">(DefiblirationsNumber): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']) &lt;= 1">(DefiblirationsNumber): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042.html"
              test="count(hl7:code[(@code = '30581000146108' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(DefiblirationsNumber): element hl7:code[(@code = '30581000146108' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042.html"
              test="count(hl7:code[(@code = '30581000146108' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(DefiblirationsNumber): element hl7:code[(@code = '30581000146108' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042.html"
              test="count(hl7:value) &lt;= 1">(DefiblirationsNumber): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1148
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']
Item: (DefiblirationsNumber)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']"
         id="d41e5593-false-d7982e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.55.10.1148')">(DefiblirationsNumber): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.1148' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1148
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]/hl7:code[(@code = '30581000146108' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (DefiblirationsNumber)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]/hl7:code[(@code = '30581000146108' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d41e5598-false-d7994e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DefiblirationsNumber): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042.html"
              test="string(@code) = ('30581000146108')">(DefiblirationsNumber): de waarde van code MOET '30581000146108' zijn. Gevonden: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042.html"
              test="@displayName">(DefiblirationsNumber): attribute @displayName MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.96')">(DefiblirationsNumber): de waarde van codeSystem MOET '2.16.840.1.113883.6.96' zijn. Gevonden: "<value-of select="@codeSystem"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1148
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]/hl7:value
Item: (DefiblirationsNumber)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1148']]/hl7:value"
         id="d41e5614-false-d8016e0">
      <extends rule="INT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DefiblirationsNumber): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:INT" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042.html"
              test="not(@value) or matches(@value, '^-?[1-9]\d*$|^+?\d*$')">(DefiblirationsNumber): @value is geen geldig INT getal <value-of select="@value"/>
      </assert>
   </rule>
</pattern>
