<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.484
Name: Abdomen Location
Description: Abdomen Location: Locatie druk- / loslaatpijn
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907">
   <title>Abdomen Location</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.484
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]]
Item: (AbdomenLocation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]]"
         id="d41e14100-false-d28150e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]) &lt;= 1">(AbdomenLocation): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.484
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]
Item: (AbdomenLocation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]"
         id="d41e14124-false-d28165e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(AbdomenLocation): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.html"
              test="string(@moodCode) = ('EVN')">(AbdomenLocation): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']) &gt;= 1">(AbdomenLocation): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']) &lt;= 1">(AbdomenLocation): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.html"
              test="count(hl7:code[(@code = '35611005' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(AbdomenLocation): element hl7:code[(@code = '35611005' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.html"
              test="count(hl7:code[(@code = '35611005' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(AbdomenLocation): element hl7:code[(@code = '35611005' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.91-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(AbdomenLocation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.91-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.484
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']
Item: (AbdomenLocation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']"
         id="d41e14130-false-d28209e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbdomenLocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.55.10.484')">(AbdomenLocation): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.484' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.484
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]/hl7:code[(@code = '35611005' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (AbdomenLocation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]/hl7:code[(@code = '35611005' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d41e14135-false-d28224e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbdomenLocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.html"
              test="string(@code) = ('35611005')">(AbdomenLocation): de waarde van code MOET '35611005' zijn. Gevonden: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.html"
              test="@displayName">(AbdomenLocation): attribute @displayName MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.96')">(AbdomenLocation): de waarde van codeSystem MOET '2.16.840.1.113883.6.96' zijn. Gevonden: "<value-of select="@codeSystem"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.484
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.91-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (AbdomenLocation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.484']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.91-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d41e14151-false-d28249e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbdomenLocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20200417T130603/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.91-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(AbdomenLocation): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.55.11.91 Locatie op lichaam(sdeel) SNOMED (DYNAMISCH)'.</assert>
   </rule>
</pattern>
